summaryrefslogtreecommitdiffstats
path: root/office/texmaker/texmaker.SlackBuild
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-04-14 21:02:29 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:38:02 +0200
commit2cb1b7b3250fce7b074d51cef7797a084764dd67 (patch)
tree09596df3b25db10226bf2cf0e9ec3abfc6f3876d /office/texmaker/texmaker.SlackBuild
parent9bae09be5939de825b0659afbbf6eec5ab177b86 (diff)
downloadslackbuilds-2cb1b7b3250fce7b074d51cef7797a084764dd67.tar.gz
slackbuilds-2cb1b7b3250fce7b074d51cef7797a084764dd67.tar.xz
office/texmaker: Updated for version 1.9.9.
Diffstat (limited to 'office/texmaker/texmaker.SlackBuild')
-rw-r--r--office/texmaker/texmaker.SlackBuild17
1 files changed, 12 insertions, 5 deletions
diff --git a/office/texmaker/texmaker.SlackBuild b/office/texmaker/texmaker.SlackBuild
index 7cb31a7ae3..3dc06115ea 100644
--- a/office/texmaker/texmaker.SlackBuild
+++ b/office/texmaker/texmaker.SlackBuild
@@ -5,9 +5,9 @@
# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
PRGNAM=texmaker
-VERSION=${VERSION:-1.9.2}
+VERSION=${VERSION:-1.9.9}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -41,8 +41,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-patch -p1 < $CWD/focus.patch
-
qmake -unix PREFIX=/usr -o Makefile $PRGNAM.pro
make \
@@ -54,13 +52,22 @@ make install INSTALL_ROOT=$PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
mkdir -p $PKG/usr/man/man1
install -m 0644 $CWD/$PRGNAM.1 $PKG/usr/man/man1
gzip -9 $PKG/usr/man/man?/*.?
+for i in 16 22 32 48 64 128; do
+ install -D -m 0644 utilities/${PRGNAM}${i}x${i}.png \
+ $PKG/usr/share/icons/hicolor/${i}x${i}/apps/$PRGNAM.png
+done
+
+install -D -m 0644 utilities/$PRGNAM.svg \
+ $PKG/usr/share/icons/hicolor/scalable/apps/$PRGNAM.svg
+rm -rf $PKG/usr/share/pixmaps
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
INSTALL utilities/{AUTHORS,CHANGELOG.txt,license.txt,COPYING} \